Loading...
Searching...
No Matches
casacore::ModcompDataConversion Class Reference
casa package (libcasa_casa) » OS_module

More...

`#include <ModcompDataConversion.h>`

## Public Member Functions

| ModcompDataConversion ()
| Construct the object.
virtual | ~ModcompDataConversion ()
virtual size_t | toLocal (Char &to, const void *from) const
| Convert one value from Modcomp format to local format.
virtual size_t | toLocal (uChar &to, const void *from) const
virtual size_t | toLocal (Short &to, const void *from) const
virtual size_t | toLocal (uShort &to, const void *from) const
virtual size_t | toLocal (Int &to, const void *from) const
virtual size_t | toLocal (uInt &to, const void *from) const
virtual size_t | toLocal (Int64 &to, const void *from) const
virtual size_t | toLocal (uInt64 &to, const void *from) const
virtual size_t | toLocal (Float &to, const void *from) const
virtual size_t | toLocal (Double &to, const void *from) const
virtual size_t | toLocal (Char *to, const void *from, size_t nr) const
| Convert nr values from Modcomp format to local format.
virtual size_t | toLocal (uChar *to, const void *from, size_t nr) const
virtual size_t | toLocal (Short *to, const void *from, size_t nr) const
virtual size_t | toLocal (uShort *to, const void *from, size_t nr) const
virtual size_t | toLocal (Int *to, const void *from, size_t nr) const
virtual size_t | toLocal (uInt *to, const void *from, size_t nr) const
virtual size_t | toLocal (Int64 *to, const void *from, size_t nr) const
virtual size_t | toLocal (uInt64 *to, const void *from, size_t nr) const
virtual size_t | toLocal (Float *to, const void *from, size_t nr) const
virtual size_t | toLocal (Double *to, const void *from, size_t nr) const
virtual size_t | fromLocal (void *to, Char from) const
| Convert one value from local format to Modcomp format.
virtual size_t | fromLocal (void *to, uChar from) const
virtual size_t | fromLocal (void *to, Short from) const
virtual size_t | fromLocal (void *to, uShort from) const
virtual size_t | fromLocal (void *to, Int from) const
virtual size_t | fromLocal (void *to, uInt from) const
virtual size_t | fromLocal (void *to, Int64 from) const
virtual size_t | fromLocal (void *to, uInt64 from) const
virtual size_t | fromLocal (void *to, Float from) const
virtual size_t | fromLocal (void *to, Double from) const
virtual size_t | fromLocal (void *to, const Char *from, size_t nr) const
| Convert nr values from local format to ModComp format.
virtual size_t | fromLocal (void *to, const uChar *from, size_t nr) const
virtual size_t | fromLocal (void *to, const Short *from, size_t nr) const
virtual size_t | fromLocal (void *to, const uShort *from, size_t nr) const
virtual size_t | fromLocal (void *to, const Int *from, size_t nr) const
virtual size_t | fromLocal (void *to, const uInt *from, size_t nr) const
virtual size_t | fromLocal (void *to, const Int64 *from, size_t nr) const
virtual size_t | fromLocal (void *to, const uInt64 *from, size_t nr) const
virtual size_t | fromLocal (void *to, const Float *from, size_t nr) const
virtual size_t | fromLocal (void *to, const Double *from, size_t nr) const
virtual Bool | canCopy (const Char *) const
| Determine if the data for a data type can be simply copied, thus if no conversion is needed.
virtual Bool | canCopy (const uChar *) const
virtual Bool | canCopy (const Short *) const
virtual Bool | canCopy (const uShort *) const
virtual Bool | canCopy (const Int *) const
virtual Bool | canCopy (const uInt *) const
virtual Bool | canCopy (const Int64 *) const
virtual Bool | canCopy (const uInt64 *) const
virtual Bool | canCopy (const Float *) const
virtual Bool | canCopy (const Double *) const
virtual uInt | externalSize (const Char *) const
| Get the external size of the data type.
virtual uInt | externalSize (const uChar *) const
virtual uInt | externalSize (const Short *) const
virtual uInt | externalSize (const uShort *) const
virtual uInt | externalSize (const Int *) const
virtual uInt | externalSize (const uInt *) const
virtual uInt | externalSize (const Int64 *) const
virtual uInt | externalSize (const uInt64 *) const
virtual uInt | externalSize (const Float *) const
virtual uInt | externalSize (const Double *) const
Public Member Functions inherited from casacore::DataConversion
| DataConversion ()
| Construct the object.
virtual | ~DataConversion ()

## Detailed Description

A DataConversion class to convert between Modcomp format.

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Synopsis

This class is a specialization of the abstract base class DataConversion. It contains functions to convert data from/to the Modcomp format using the static functions in class ModcompConversion.

### Example

See example in class DataConversion.

### Motivation

This class is an addition to ModcompConversion to be able to use the conversion functions in a polymorphic way.

### To Do

- Support data type long Double.

Definition at line 64 of file ModcompDataConversion.h.

## Constructor & Destructor Documentation

## ModcompDataConversion()

casacore::ModcompDataConversion::ModcompDataConversion | ( |  | ) |

inline

Construct the object.

Definition at line 163 of file ModcompDataConversion.h.

## ~ModcompDataConversion()

virtual casacore::ModcompDataConversion::~ModcompDataConversion | ( |  | ) |

virtual

## Member Function Documentation

## canCopy() [1/10]

virtual Bool casacore::ModcompDataConversion::canCopy | ( | const Char * |  | ) | const

virtual

Determine if the data for a data type can be simply copied, thus if no conversion is needed.

Implements casacore::DataConversion.

## canCopy() [2/10]

virtual Bool casacore::ModcompDataConversion::canCopy | ( | const Double * |  | ) | const

virtual

Implements casacore::DataConversion.

## canCopy() [3/10]

virtual Bool casacore::ModcompDataConversion::canCopy | ( | const Float * |  | ) | const

virtual

Implements casacore::DataConversion.

## canCopy() [4/10]

virtual Bool casacore::ModcompDataConversion::canCopy | ( | const Int * |  | ) | const

virtual

Implements casacore::DataConversion.

## canCopy() [5/10]

virtual Bool casacore::ModcompDataConversion::canCopy | ( | const Int64 * |  | ) | const

virtual

Implements casacore::DataConversion.

## canCopy() [6/10]

virtual Bool casacore::ModcompDataConversion::canCopy | ( | const Short * |  | ) | const

virtual

Implements casacore::DataConversion.

## canCopy() [7/10]

virtual Bool casacore::ModcompDataConversion::canCopy | ( | const uChar * |  | ) | const

virtual

Implements casacore::DataConversion.

## canCopy() [8/10]

virtual Bool casacore::ModcompDataConversion::canCopy | ( | const uInt * |  | ) | const

virtual

Implements casacore::DataConversion.

## canCopy() [9/10]

virtual Bool casacore::ModcompDataConversion::canCopy | ( | const uInt64 * |  | ) | const

virtual

Implements casacore::DataConversion.

## canCopy() [10/10]

virtual Bool casacore::ModcompDataConversion::canCopy | ( | const uShort * |  | ) | const

virtual

Implements casacore::DataConversion.

## externalSize() [1/10]

virtual uInt casacore::ModcompDataConversion::externalSize | ( | const Char * |  | ) | const

virtual

Get the external size of the data type.

Implements casacore::DataConversion.

## externalSize() [2/10]

virtual uInt casacore::ModcompDataConversion::externalSize | ( | const Double * |  | ) | const

virtual

Implements casacore::DataConversion.

## externalSize() [3/10]

virtual uInt casacore::ModcompDataConversion::externalSize | ( | const Float * |  | ) | const

virtual

Implements casacore::DataConversion.

## externalSize() [4/10]

virtual uInt casacore::ModcompDataConversion::externalSize | ( | const Int * |  | ) | const

virtual

Implements casacore::DataConversion.

## externalSize() [5/10]

virtual uInt casacore::ModcompDataConversion::externalSize | ( | const Int64 * |  | ) | const

virtual

Implements casacore::DataConversion.

## externalSize() [6/10]

virtual uInt casacore::ModcompDataConversion::externalSize | ( | const Short * |  | ) | const

virtual

Implements casacore::DataConversion.

## externalSize() [7/10]

virtual uInt casacore::ModcompDataConversion::externalSize | ( | const uChar * |  | ) | const

virtual

Implements casacore::DataConversion.

## externalSize() [8/10]

virtual uInt casacore::ModcompDataConversion::externalSize | ( | const uInt * |  | ) | const

virtual

Implements casacore::DataConversion.

## externalSize() [9/10]

virtual uInt casacore::ModcompDataConversion::externalSize | ( | const uInt64 * |  | ) | const

virtual

Implements casacore::DataConversion.

## externalSize() [10/10]

virtual uInt casacore::ModcompDataConversion::externalSize | ( | const uShort * |  | ) | const

virtual

Implements casacore::DataConversion.

## fromLocal() [1/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | Char | from ) const

virtual

Convert one value from local format to Modcomp format.

The from and to buffer should not overlap.

Implements casacore::DataConversion.

## fromLocal() [2/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | const Char * | from,
|  | size_t | nr ) const

virtual

Convert nr values from local format to ModComp format.

The from and to buffer should not overlap.

Implements casacore::DataConversion.

## fromLocal() [3/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | const Double * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [4/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | const Float * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [5/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | const Int * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [6/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | const Int64 * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [7/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | const Short * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [8/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | const uChar * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [9/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | const uInt * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [10/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | const uInt64 * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [11/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | const uShort * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [12/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | Double | from ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [13/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | Float | from ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [14/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | Int | from ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [15/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | Int64 | from ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [16/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | Short | from ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [17/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | uChar | from ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [18/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | uInt | from ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [19/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | uInt64 | from ) const

virtual

Implements casacore::DataConversion.

## fromLocal() [20/20]

virtual size_t casacore::ModcompDataConversion::fromLocal | ( | void * | to,
|  | uShort | from ) const

virtual

Implements casacore::DataConversion.

## toLocal() [1/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | Char & | to,
|  | const void * | from ) const

virtual

Convert one value from Modcomp format to local format.

The from and to buffer should not overlap.

Implements casacore::DataConversion.

## toLocal() [2/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | Char * | to,
|  | const void * | from,
|  | size_t | nr ) const

virtual

Convert nr values from Modcomp format to local format.

The from and to buffer should not overlap.

Implements casacore::DataConversion.

## toLocal() [3/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | Double & | to,
|  | const void * | from ) const

virtual

Implements casacore::DataConversion.

## toLocal() [4/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | Double * | to,
|  | const void * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## toLocal() [5/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | Float & | to,
|  | const void * | from ) const

virtual

Implements casacore::DataConversion.

## toLocal() [6/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | Float * | to,
|  | const void * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## toLocal() [7/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | Int & | to,
|  | const void * | from ) const

virtual

Implements casacore::DataConversion.

## toLocal() [8/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | Int * | to,
|  | const void * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## toLocal() [9/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | Int64 & | to,
|  | const void * | from ) const

virtual

Implements casacore::DataConversion.

## toLocal() [10/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | Int64 * | to,
|  | const void * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## toLocal() [11/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | Short & | to,
|  | const void * | from ) const

virtual

Implements casacore::DataConversion.

## toLocal() [12/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | Short * | to,
|  | const void * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## toLocal() [13/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | uChar & | to,
|  | const void * | from ) const

virtual

Implements casacore::DataConversion.

## toLocal() [14/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | uChar * | to,
|  | const void * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## toLocal() [15/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | uInt & | to,
|  | const void * | from ) const

virtual

Implements casacore::DataConversion.

## toLocal() [16/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | uInt * | to,
|  | const void * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## toLocal() [17/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | uInt64 & | to,
|  | const void * | from ) const

virtual

Implements casacore::DataConversion.

## toLocal() [18/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | uInt64 * | to,
|  | const void * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

## toLocal() [19/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | uShort & | to,
|  | const void * | from ) const

virtual

Implements casacore::DataConversion.

## toLocal() [20/20]

virtual size_t casacore::ModcompDataConversion::toLocal | ( | uShort * | to,
|  | const void * | from,
|  | size_t | nr ) const

virtual

Implements casacore::DataConversion.

The documentation for this class was generated from the following file:

- casa/OS/ModcompDataConversion.h